Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
settlements
/
{settlement-id}
/
settlement_line_items
{
  "data": [
    {
      "line_items": [
        {
          "date": "2023-11-07T05:31:56Z",
          "truck_external_ids": [
            "<string>"
          ],
          "equipment_types": [
            "<string>"
          ],
          "services": [
            "<string>"
          ],
          "materials": [
            "<string>"
          ],
          "quantities": [
            {
              "quantity": "<string>",
              "unit_of_measure": "Load"
            }
          ],
          "ids": [
            {
              "order_id": "<string>",
              "job_id": "<string>",
              "friendly_job_id": "<string>",
              "friendly_order_id": "<string>",
              "load_id": "<string>",
              "friendly_load_id": "<string>",
              "load_ordinality": 123
            }
          ],
          "total_quantity": "<string>",
          "rate_value": "<string>",
          "rate_types": [
            "<string>"
          ],
          "total_amount": "<string>",
          "loads_count": 123,
          "equipment_names": [
            "<string>"
          ],
          "rebill_rate_value": "<string>",
          "rebill_total_amount": "<string>",
          "ticket_numbers": [
            "<string>"
          ],
          "pay_start_time": "2023-11-07T05:31:56Z",
          "pay_end_time": "2023-11-07T05:31:56Z",
          "billing_adjustment_minutes": 123,
          "vendor_job_assignment": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "vendor_account": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>"
            }
          },
          "driver": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "first_name": "<string>",
            "last_name": "<string>"
          },
          "material_rate_unit_of_measure": "Load",
          "line_item_type": "InvoiceLineItem"
        }
      ],
      "group": "<string>",
      "subtotal": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

settlement-id
string
required

Settlement ID

company-id
string<uuid>
required

Company ID

Query Parameters

settlement_line_item_type
string

Override Settlement's settlement_line_item_type for rendering SettlementLineItems. See SettlementLineItemType enum for values.

Response

OK

data
SettlementLineItem-Group-Read · object[]
required